- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP5ListFontsUsedPacket Class Reference

`#include <WP5ListFontsUsedPacket.h>`

Inheritance diagram for WP5ListFontsUsedPacket:

## Public Member Functions
| WP5ListFontsUsedPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize, unsigned short packetType)
| ~WP5ListFontsUsedPacket ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataSize)
unsigned | getFontNameOffset (unsigned fontNumber) const
double | getFontSize (unsigned fontNumber) const
Public Member Functions inherited from WP5GeneralPacketData
| WP5GeneralPacketData ()
virtual | ~WP5GeneralPacketData ()

## Private Attributes
unsigned short | m_packetType
std::vector< unsigned > | m_fontNameOffset
std::vector< double > | m_fontSize

## Additional Inherited Members
Static Public Member Functions inherited from WP5GeneralPacketData
static WP5GeneralPacketData * | constructGeneralPacketData (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP5GeneralPacketIndex *packetIndex)
Protected Member Functions inherited from WP5GeneralPacketData
virtual void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

WP5ListFontsUsedPacket::WP5ListFontsUsedPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize,
|  | unsigned short | packetType
| ) |  |

WP5ListFontsUsedPacket::~WP5ListFontsUsedPacket | ( |  | ) |

## Member Function Documentation

void WP5ListFontsUsedPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | dataSize
| ) |  |
| virtual

Implements WP5GeneralPacketData.

unsigned WP5ListFontsUsedPacket::getFontNameOffset | ( | unsigned | fontNumber | ) | const

double WP5ListFontsUsedPacket::getFontSize | ( | unsigned | fontNumber | ) | const

## Member Data Documentation

std::vector<unsigned> WP5ListFontsUsedPacket::m_fontNameOffset
| private

Referenced by _readContents(), and getFontNameOffset().

std::vector<double> WP5ListFontsUsedPacket::m_fontSize
| private

Referenced by _readContents(), and getFontSize().

unsigned short WP5ListFontsUsedPacket::m_packetType
| private

Referenced by _readContents().

The documentation for this class was generated from the following files:

- WP5ListFontsUsedPacket.h
- WP5ListFontsUsedPacket.cpp